Package Details: pycharm-professional 2019.1.2-1

Git Clone URL: https://aur.archlinux.org/pycharm-professional.git (read-only)
Package Base: pycharm-professional
Description: Powerful Python and Django IDE. Professional Edition.
Upstream URL: https://www.jetbrains.com/pycharm/
Keywords: development editor ide jetbrains python
Licenses: custom
Conflicts: pycharm, pycharm-community-edition
Provides: pycharm
Submitter: hippojazz
Maintainer: XavierCLL
Last Packager: XavierCLL
Votes: 208
Popularity: 6.280658
First Submitted: 2013-09-25 03:56
Last Updated: 2019-05-08 15:55

Dependencies (26)

Required by (0)

Sources (5)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 ... Next › Last »

XavierCLL commented on 2018-04-29 18:39

Hi @resurtm, you can set the java options in the file ~/.bash_profile (not in ~/.bashrc):

export _JAVA_OPTIONS='...'

e.g:

export _JAVA_OPTIONS='-Dawt.useSystemAAFontSettings=lcd'

resurtm commented on 2018-04-29 15:29

Hey there! Nice package. :-)

I have a question: how can I adjust JVM settings for this PyCharm distribution? I remember in distribution coming from JetBrains there were some files called something like vmoptions and vmoptions64.

Is there anything like that in this package?

Thank you!

XavierCLL commented on 2018-04-03 17:47

@marquicus, it seems that packaging for python 3 is missing, check from repositories: sudo pacman -Sy python-packaging

marquicus commented on 2018-04-03 13:26

It throws the following error:

==> Validating source files with sha256sums... pycharm-professional-2018.1.tar.gz ... Passed pycharm-professional.desktop ... Passed pycharm-professional.install ... Passed pycharm ... Passed charm.desktop ... Passed charm ... Passed ==> Extracting sources... -> Extracting pycharm-professional-2018.1.tar.gz with bsdtar ==> Starting build()... Traceback (most recent call last): File "helpers/pydev/setup_cython.py", line 14, in <module> from setuptools import setup File "/usr/lib/python3.6/site-packages/setuptools/init.py", line 14, in <module> from setuptools.dist import Distribution, Feature File "/usr/lib/python3.6/site-packages/setuptools/dist.py", line 21, in <module> from setuptools.extern import packaging File "/usr/lib/python3.6/site-packages/setuptools/extern/init.py", line 61, in load_module "distribution.".format(**locals()) ImportError: The 'packaging' package is required; normally this is bundled with this package so if you get this warning, consult the packager of your distribution. ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build pycharm-professional. ==> Restart building pycharm-professional ? [y/N] ==> ---------------------------------------------</module></module></module>

==> ERROR: unable to update

The missing package is installed

$ pip install packaging Requirement already satisfied: packaging in /usr/lib/python2.7/site-packages Requirement already satisfied: six in /usr/lib/python2.7/site-packages (from packaging) Requirement already satisfied: pyparsing>=2.0.2 in /usr/lib/python2.7/site-packages (from packaging)

XavierCLL commented on 2018-03-09 16:35

@JSN190, I think that it is not a packaging problem, report it as an issue in the jetbrains bug system.

JSN190 commented on 2018-03-08 14:56

The latest update seems to break custom fonts. I can neither set a font for the editor nor the UI itself, as the font dropdown only lists one font.

XavierCLL commented on 2018-02-06 04:37

Hi @acidrain42, are you using the cython installed inside pycharm (in project interpreter)? try delete it and use only the cython provider by archlinux, maybe the problem is the incompatibility version used for generate the package

acidrain42 commented on 2018-02-05 19:11

That latest update (2017.3.3-2) breaks the cython extensions for me. It asks me to build them everytime I launch a debugger, even if I click install.

XavierCLL commented on 2018-02-04 21:44

Fixed, thanks for the report @xsmile

xsmile commented on 2018-02-04 13:33

The building process for the cython extensions needs an update, see https://git.archlinux.org/svntogit/community.git/commit/trunk?h=packages/pycharm-community-edition&id=293d11360dcf86cb50adbddc8103730f0052f373.